Finding I/O objects

## Functions

static hwloc_obj_t | hwloc_get_non_io_ancestor_obj (hwloc_topology_t topology, hwloc_obj_t ioobj)
static hwloc_obj_t | hwloc_get_next_pcidev (hwloc_topology_t topology, hwloc_obj_t prev)
static hwloc_obj_t | hwloc_get_pcidev_by_busid (hwloc_topology_t topology, unsigned domain, unsigned bus, unsigned dev, unsigned func)
static hwloc_obj_t | hwloc_get_pcidev_by_busidstring (hwloc_topology_t topology, const char *busid)
static hwloc_obj_t | hwloc_get_next_osdev (hwloc_topology_t topology, hwloc_obj_t prev)
static hwloc_obj_t | hwloc_get_next_bridge (hwloc_topology_t topology, hwloc_obj_t prev)
static int | hwloc_bridge_covers_pcibus (hwloc_obj_t bridge, unsigned domain, unsigned bus)

## Detailed Description

## Function Documentation

## hwloc_bridge_covers_pcibus()

static int hwloc_bridge_covers_pcibus | ( | hwloc_obj_t | bridge,
|  | unsigned | domain,
|  | unsigned | bus
| ) |  |

inlinestatic

## hwloc_get_next_bridge()

static hwloc_obj_t hwloc_get_next_bridge | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  |

inlinestatic

Get the next bridge in the system.

Returns
  the first bridge if `prev` is `NULL`.

## hwloc_get_next_osdev()

static hwloc_obj_t hwloc_get_next_osdev | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  |

inlinestatic

Get the next OS device in the system.

Returns
  the first OS device if `prev` is `NULL`.

## hwloc_get_next_pcidev()

static hwloc_obj_t hwloc_get_next_pcidev | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  |

inlinestatic

Get the next PCI device in the system.

Returns
  the first PCI device if `prev` is `NULL`.

## hwloc_get_non_io_ancestor_obj()

static hwloc_obj_t hwloc_get_non_io_ancestor_obj | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | ioobj
| ) |  |

inlinestatic

Get the first non-I/O ancestor object.

Given the I/O object `ioobj`, find the smallest non-I/O ancestor object. This object (normal or memory) may then be used for binding because it has non-NULL CPU and node sets and because its locality is the same as `ioobj`.

Note
  The resulting object is usually a normal object but it could also be a memory object (e.g. NUMA node) in future platforms if I/O objects ever get attached to memory instead of CPUs.

## hwloc_get_pcidev_by_busid()

static hwloc_obj_t hwloc_get_pcidev_by_busid | ( | hwloc_topology_t | topology,
|  | unsigned | domain,
|  | unsigned | bus,
|  | unsigned | dev,
|  | unsigned | func
| ) |  |

inlinestatic

Find the PCI device object matching the PCI bus id given domain, bus device and function PCI bus id.

## hwloc_get_pcidev_by_busidstring()

static hwloc_obj_t hwloc_get_pcidev_by_busidstring | ( | hwloc_topology_t | topology,
|  | const char * | busid
| ) |  |

inlinestatic

Find the PCI device object matching the PCI bus id given as a string xxxx:yy:zz.t or yy:zz.t.